aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorJohannes Schindelin <Johannes.Schindelin@gmx.de>2006-02-17 15:22:45 +0100
committerJunio C Hamano <junkio@cox.net>2006-02-17 16:30:57 -0800
commit8e1618f9612a78ea09b2a926797c781fe06027c9 (patch)
tree87574102abc2ddbc19b23f285c7f7482afd02ce3 /git-clone.sh
parent45d2b286acf4a1191e6199c41a034cb0677a0965 (diff)
downloadgit-8e1618f9612a78ea09b2a926797c781fe06027c9.tar.gz
git-8e1618f9612a78ea09b2a926797c781fe06027c9.tar.xz
Fix cpio call
To some cpio's, -a and -m options are mutually exclusive. Use only -m. Signed-off-by: Johannes E. Schindelin <Johannes.Schindelin@gmx.de> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index e192b08c0..cf410faaa 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -153,7 +153,7 @@ yes,yes)
fi &&
rm -f "$GIT_DIR/objects/sample" &&
cd "$repo" &&
- find objects -depth -print | cpio -puamd$l "$GIT_DIR/" || exit 1
+ find objects -depth -print | cpio -pumd$l "$GIT_DIR/" || exit 1
;;
yes)
mkdir -p "$GIT_DIR/objects/info"